Subject: Re: Adding bridge interface to non-default network namespace crashes kernel

From: Daniel Lezcano <[email-masked]>
Date: Tue, 08 Sep 2009 10:40:44 +0200

Atis Elsts wrote:
> Trying to add bridge interface from userspace program, after moving the 
> program to a new network namespace, causes kernel to crash. I am using latest 
> kernel version from git (2.6.31-rc9).
> The bug is easy to reproduce - just compile and run the attached C program.
>
> I see that bridge interface has NETIF_F_NETNS_LOCAL flag, but as I understand, 
> this flag simply means that a device cannot be *moved* across network 
> namespaces, not that it cannot be *created* in other namespaces.
>   
Yep, very easy to reproduce :/
The sysfs has not been disabled for the bridge. I will try to fix it as 
soon as I can.

Thanks
  -- Daniel